// ELEMENT/COMPONENT STYLES
.navbar-dropdown {
  @extend .p-0;
  @extend .has-border;
  max-height: 75vh;
  border-radius: 0px;
  border-top: none;
  background-color: $adaptor-primary;
  overflow: auto;

  .navbar-item {
    @extend .has-border-top;
  }
}

.user-dot {
  @extend .has-text-white-ter;
  @extend .is-uppercase;
  @extend .has-text-centered;
  @extend .is-unselectable;
  @extend .ml-1;
  background-color: $black;
  height: 30px;
  // same as height, but for optical reasons 1px less
  line-height: 29px;
  width: 30px;
  border-radius: 50%;
  display: inline-block;
  overflow: hidden;
}

.info-dot {
  @extend .has-text-white-ter;
  @extend .has-text-centered;
  @extend .ml-1;
  @extend .px-2;
  background-color: $adaptor-is-live;
  height: 20px;
  // same as height, but for optical reasons 1px less
  line-height: 19px;
  border-radius: 14px;
}

.icon{
  display: inline-flex;
  vertical-align: middle;
}

.toolbar-container {
  @extend .is-clipped-container;
  @extend .is-flex;
  @extend .is-flex-direction-column;
  @extend .is-unselectable;
  @extend .has-border-right;
  @extend .width-content;
}

.collection-table-container {
  @extend .table-container;
  max-height: 70vh;
  overflow-y: auto;

  thead {
    background: $light;
    position: sticky;
    top: 0;
    border-color: black;
    border-style: solid;
    border-width: 0px 1px;
    box-shadow: 0 2px 2px -1px rgba(0, 0, 0, 0.4);
    z-index: 1;

    th {
      border: none;
    }
  }
}

.log-container {
  @extend .is-clipped-container;
  @extend .px-2;
  @extend .pb-2;
  @extend .is-flex;
  @extend .is-flex-direction-column;
  // extend.has-border-top
  height: 60vh;
  width: 75ch;
}

.plugin-settings-container {
  @extend .m-2;
  @extend .p-2;
  @extend .has-border;
}

.stage-wrapper {
  position: relative;
  resize: both;

  .stage {
    position: relative;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transform-origin: center center;
    width: 6000px;
    height: 3375px;
    padding: 10px;

    $dot-color: rgb(219, 219, 219);
    $dot-size: 5%;
    $dot-spacing: 50px;
    // background-image: radial-gradient($dot-color $dot-size, transparent $dot-size),
    //   radial-gradient($dot-color $dot-size, transparent $dot-size);
    background-image: radial-gradient($dot-color $dot-size, transparent $dot-size);
    background-color: $white;
    // background-position: 0 0, 40px 40px;
    background-size: $dot-spacing $dot-spacing;
  }
}

.zoom {
  @extend .has-border;
  position: fixed;
  right: 25px;
  bottom: 40px;
  font-family: monospace, monospace;

  button {
    @extend .has-no-outline;
  }

  &:hover {
    button {
      background-color: $adaptor-primary;
    }
  }

  .dropdown-menu {
    min-width: 100%;
  }

  .dropdown-content {
    @extend .has-border;
    @extend .p-0;

    .dropdown-item {
      @extend .is-interactive;
      background-color: $adaptor-primary;
    }
  }
}

.state-container {
  min-width: 275px;
  max-width: 490px;
  min-height: 2vh;
  border: 1px solid;
  border-color: $black;
  border-radius: 15px;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.25);
  background-color: $white;

  &.is-selected {
    box-shadow: 4px 4px 0px rgba(0, 0, 0, 0.5) !important;
  }

  &.is-current {
    background-color: $pink-5;
    border-color: $pink-1;
  }

  .state-name {
    @extend .is-size-5;
    @extend .is-clipped;
    @extend .has-overflow-ellipsis;
    @extend .has-text-weight-semibold;
    // @extend .is-cursor-default;
    max-width: 20ch;
  }

  .state-hr {
    margin: 0px -1px 0px -1px;
    height: 1px;
  }
}

.is-busy {
  // opacity: 0.6
  filter: brightness(80%);
}

.is-action-info {
  @extend .has-text-black;
  @extend .px-2;
  @extend .py-1;
  border-style: solid;
  border-color: $black;
  border-width: 1px 1px 0px 1px;
  width: 280px;
  font-family: $family-secondary;
  line-height: 1.2;
  margin-left: auto;

  &:last-child {
    border-bottom: 1px solid $black;
  }
}

.edge {
  pointer-events: none;
  // background-color: rgba(0, 0, 0, 0.1);
}

.bar-item {
  @extend .is-relative;
  @extend .mb-2;
  @extend .py-1;
  @extend .is-grabbable;
  @extend .has-border;
  @extend .is-clipped;
  @extend .has-overflow-ellipsis;
  @extend .is-flex;
  @extend .is-align-items-center;

  &:hover {
    filter: brightness(110%);
  }
}

.overlay {
  // Sit on top of the page content
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  @extend .is-layer-top;
}

// Media Tree View Classes

.folder-structure {
  font-size: 1.1rem;
  line-height: 1.5;
}

.folder-tree {
  list-style-type: none;
  padding-left: 0;
  margin: 0;
}

.folder,
.file {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding: 2px 0;
  transition: background-color 0.3s ease;
}

.folder:hover,
.file:hover {
  background-color: $purple-5;
}

.level-0 {
  padding-left: 0;
}
.level-1 {
  padding-left: 10px;
}
.level-2 {
  padding-left: 20px;
}
.level-3 {
  padding-left: 30px;
}
.level-4 {
  padding-left: 40px;
}